package cz.frantovo.nekurak.chat;

import java.net.InetAddress;
import java.net.UnknownHostException;
import java.util.ArrayList;
import java.util.Collection;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 * Definice jabberovského účtu, který používá robot k připojení.
 * @author fiki
 */
public class UcetRobota {

	/** Seznam diskusních místností, do kterých robot vstoupí */
	private Collection<Mistnost> mistnosti = new ArrayList<Mistnost>();
	/** Doména – jabber server, ke kterému se připojí */
	private String domena;
	/** Pokud má být jiná než doména */
	private String adresaServeru;
	/** TCP port pro připojení */
	private int port = 5222;
	/** Jméno robota */
	private String uzivatelskeJmeno;
	/** Heslo robota */
	private String uzivatelskeHeslo;
	/** Prostředek (resource) tzn. část JID za lomítkem */
	private String prostredek = "robot";
	
	private static final Logger log = Logger.getLogger(UcetRobota.class.getSimpleName());

	public UcetRobota() {
		try {
			/** aby nedocházelo ke konfliktům, když aplikaci nasadíme na víc serverů současně */
			prostredek = InetAddress.getLocalHost().getHostName();
		} catch (UnknownHostException e) {
			log.log(Level.SEVERE, "Nepodařilo se zjistit místní „hostname“", e);
		}
	}

	public Collection<Mistnost> getMistnosti() {
		return mistnosti;
	}

	public void setMistnosti(Collection<Mistnost> mistnosti) {
		this.mistnosti = mistnosti;
	}

	public String getDomena() {
		return domena;
	}

	public void setDomena(String domena) {
		this.domena = domena;
	}

	public String getAdresaServeru() {
		return adresaServeru;
	}

	public void setAdresaServeru(String adresaServeru) {
		this.adresaServeru = adresaServeru;
	}

	public int getPort() {
		return port;
	}

	public void setPort(int port) {
		this.port = port;
	}

	public String getUzivatelskeJmeno() {
		return uzivatelskeJmeno;
	}

	public void setUzivatelskeJmeno(String uzivatelskeJmeno) {
		this.uzivatelskeJmeno = uzivatelskeJmeno;
	}

	public String getUzivatelskeHeslo() {
		return uzivatelskeHeslo;
	}

	public void setUzivatelskeHeslo(String uzivatelskeHeslo) {
		this.uzivatelskeHeslo = uzivatelskeHeslo;
	}

	public String getProstredek() {
		return prostredek;
	}

	public void setProstredek(String prostredek) {
		this.prostredek = prostredek;
	}
}
